from django import forms  
from discussion.models import Employee , Thread, Topic, Person
class EmployeeForm(forms.ModelForm):  
    class Meta:  
        model = Employee  
        fields = "__all__"

class ThreadForm(forms.ModelForm): 
	msg = forms.CharField(widget=forms.Textarea(attrs={'class' : 'form-control send-message','rows':'3', 'placeholder':'Comment...'}))
	title = forms.CharField(widget=forms.TextInput(attrs={'class' : 'form-control send-message', 'placeholder':'Title...'}))
	class Meta:
		model = Thread
		# fields = "__all__"
		exclude = ("person","topic","likes","dislikes") 

class TopicForm(forms.ModelForm):
	title = forms.CharField(widget=forms.TextInput(attrs={'class' : 'form-control send-message', 'placeholder':'Title...'}))
	class Meta:
		model = Topic
		fields = "__all__"
		exclude = ("subject",)

class SignupForm(forms.ModelForm):
	pid = forms.CharField(widget=forms.TextInput(attrs={'class' : 'inp-field', 'placeholder':'PID...'}))
	fname = forms.CharField(widget=forms.TextInput(attrs={'class' : 'inp-field', 'placeholder':'First Name...'}))
	lname = forms.CharField(widget=forms.TextInput(attrs={'class' : 'inp-field', 'placeholder':'Last name...'}))
	password = forms.CharField(widget=forms.TextInput(attrs={'class' : 'inp-field', 'placeholder':'Password...'}))
	
	class Meta:
		model = Person
		fields = "__all__"

class LoginForm(forms.ModelForm):
	pid = forms.CharField(widget=forms.TextInput(attrs={'class' : 'inp-field', 'placeholder':'PID...'}))
	password = forms.CharField(widget=forms.TextInput(attrs={'class' : 'inp-field', 'placeholder':'Password...'}))
	
	class Meta:
		model = Person
		fields = ('pid', 'password')