from django.shortcuts import render, redirect  
from discussion.forms import EmployeeForm , ThreadForm, TopicForm, SignupForm, LoginForm
from discussion.models import Employee, Subject_Student, Person, Subject, Topic, Thread, Person
# Create your views here.  
def emp(request):  
    if request.method == "POST":  
        form = EmployeeForm(request.POST)  
        if form.is_valid():  
            try:  
                form.save()  
                return redirect('/show')  
            except:  
                pass  
    else:  
        form = EmployeeForm()  
    return render(request,'index.html',{'form':form})  
def show(request):  
    employees = Employee.objects.all()  
    return render(request,"show.html",{'employees':employees})  
def edit(request, id):  
    employee = Employee.objects.get(id=id)  
    return render(request,'edit.html', {'employee':employee})  
def update(request, id):  
    employee = Employee.objects.get(id=id)  
    form = EmployeeForm(request.POST, instance = employee)  
    if form.is_valid():  
        form.save()  
        return redirect("/show")  
    return render(request, 'edit.html', {'employee': employee})  
def destroy(request, id):  
    employee = Employee.objects.get(id=id)  
    employee.delete()  
    return redirect("/show")


def login(request):
	invalid_user = False
	if request.method == "POST":
		form = LoginForm(request.POST)
		
		if form.is_valid():
			try:
				form_pid = form.cleaned_data.get("pid")
				form_pswd = form.cleaned_data.get("password")
				# print (form_pid)
				login = Person.objects.get(pid=form_pid, password=form_pswd)
				# print (login)
				# topic.subject = subject

				# request.session['session_context']['fname'] = login.fname
				# request.session['session_context']['lname'] = login.lname
				request.session['session_context'] = login.pid
					

				return redirect('/')
			except:
				invalid_user = True
		else:

			invalid_user = True
	else:

		form = LoginForm()
	# return render(request,'signup.html',{'form':form})
	
	return render(request, 'login.html', {'form':form, 'invalid_user':invalid_user})

def logout(request):
	try:
		del request.session['session_context']
	except:
		pass
	return render(request, 'base.html')

def signup(request):
	if request.method == "POST":
		form = SignupForm(request.POST)
		
		if form.is_valid():
			try:
				signup = form.save(commit=False)
				# topic.subject = subject
				form.save()	

				return redirect('/login')
			except:
				pass
	else:
		form = SignupForm()
	return render(request,'signup.html',{'form':form})


def default(request):
	try:
		context  = request.session['session_context']
	except:
		context = None

	return render(request, 'base.html' ,{'context':context})

def show_subjects(request):
	context  = request.session['session_context']
	try:
		person = Person.objects.get(pid=context)
	except:
		return redirect('/')
	subject_student = Subject_Student.objects.filter(student = person)
	return render(request,"subjects.html",{'subject_student':subject_student, 'context':context})

def show_topics(request, id):
	context  = request.session['session_context']
	try:
		subject = Subject.objects.get(sub_code=id)
	except:
		return redirect('/')
	topics = Topic.objects.filter(subject = subject)
	if request.method == "POST":
		form = TopicForm(request.POST)
		
		if form.is_valid():
			try:
				topic = form.save(commit=False)
				topic.subject = subject
				form.save()	

				return redirect('/topics/' + str(id))
			except:
				pass
	else:
		form = TopicForm()
	return render(request,'discussion_topics.html',{'form':form, 'sub_code':id, 'topics':topics, 'context':context})

def show_threads(request, id):
	context  = request.session['session_context']
	try:
		topic = Topic.objects.get(id=id)
	except:
		return redirect('/')
	threads = Thread.objects.filter(topic = topic)
	if request.method == "POST":
		person = Person.objects.get(pid=context)
		form = ThreadForm(request.POST)
		
		if form.is_valid():
			try:
				thread = form.save(commit=False)
				thread.topic = topic
				thread.person = person
				form.save()

				return redirect('/threads/' + str(id))
			except:
				pass
	else:
		form = ThreadForm()
	return render(request,'discussion_thread.html',{'form':form, 'topic_id':id, 'threads':threads, 'context':context}) 